python-pocket-lint_0.5.31-0ubuntu1_all.deb


Advertisement

Description

python-pocket-lint - composite linter and style checker

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-pocket-lint
Package version: 0.5.31
Package release: 0ubuntu1
Package architecture: all
Package type: deb
Installed size: 442 B
Download size: 81.13 KB
Official Mirror: archive.ubuntu.com
Pocket-lint has several notable features: * Provides a consistent report of issues raised by the subordinate checkers. * Alternate Reports can be written to change the report, or integrate the report into another application. * Supports checking of multiple source types * Python syntax and style * Python doctest style * XML/HTML style and entities * CSS style * JavaScript syntax and style * Plain text * Supports reporting * Python doctests * CSS * XML/HTML

Alternatives

    Download

    Source package: pocket-lint

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-pocket-lint deb package:
      # sudo apt-get install python-pocket-lint

    Files

    • /usr/bin/pocketlint
    • /usr/lib/python2.7/dist-packages/pocketlint-0.5.31.egg-info
    • /usr/lib/python2.7/dist-packages/pocketlint/__init__.py
    • /usr/lib/python2.7/dist-packages/pocketlint/formatcheck.py
    • /usr/lib/python2.7/dist-packages/pocketlint/formatdoctest.py
    • /usr/lib/python2.7/dist-packages/pocketlint/jsreporter.js
    • /usr/lib/python2.7/dist-packages/pocketlint/contrib/__init__.py
    • /usr/lib/python2.7/dist-packages/pocketlint/contrib/cssccc.py
    • /usr/lib/python2.7/dist-packages/pocketlint/contrib/fulljslint.js
    • /usr/lib/python2.7/dist-packages/pocketlint/contrib/pep8.py
    • /usr/lib/python2.7/dist-packages/pocketlint/contrib/pyflakes/__init__.py
    • /usr/lib/python2.7/dist-packages/pocketlint/contrib/pyflakes/checker.py
    • /usr/lib/python2.7/dist-packages/pocketlint/contrib/pyflakes/messages.py
    • /usr/share/doc/python-pocket-lint/changelog.Debian.gz
    • /usr/share/doc/python-pocket-lint/copyright
    • /usr/share/pyshared/pocketlint-0.5.31.egg-info
    • /usr/share/pyshared/pocketlint/__init__.py
    • /usr/share/pyshared/pocketlint/formatcheck.py
    • /usr/share/pyshared/pocketlint/formatdoctest.py
    • /usr/share/pyshared/pocketlint/jsreporter.js
    • /usr/share/pyshared/pocketlint/contrib/__init__.py
    • /usr/share/pyshared/pocketlint/contrib/cssccc.py
    • /usr/share/pyshared/pocketlint/contrib/fulljslint.js
    • /usr/share/pyshared/pocketlint/contrib/pep8.py
    • /usr/share/pyshared/pocketlint/contrib/pyflakes/__init__.py
    • /usr/share/pyshared/pocketlint/contrib/pyflakes/checker.py
    • /usr/share/pyshared/pocketlint/contrib/pyflakes/messages.py

    Changelog

    2012-06-18 - Curtis C. Hovey <sinzui.is@verizon.net> pocket-lint (0.5.31-0ubuntu1) quantal; urgency=low [ Charlie Smotherman ] * Update Standards Version to 3.9.3, no changes needed. [ Curtis C. Hovey ] * New upstream release. Fixes LP:#988313

    2012-02-10 - Curtis C. Hovey <sinzui.is@verizon.net> pocket-lint (0.5.30-0ubuntu1) precise; urgency=low * New upstream release. Fixes LP:928903

    2012-02-05 - Charlie Smotherman <cjsmo@ubuntu.com> pocket-lint (0.5.28-0ubuntu1) precise; urgency=low [ Curtis C. Hovey ] * New upstream release. Updated python, javascript, and css style checks and fixes unicode issues. [ Charlie Smotherman ] * Update packaging to use dh7, dh_python2 and source format 3.0 (quilt), to be more inline with current python packaging guide lines. * added debian/source/format. * Added debian/compat, it is needed by newer debhelper. * Removed debian/pyversions not needed. * debian/rules switch to use dh7 tiny rules and dh_python2 * debian/control - update debhelper min version to >= 7.0.50~ - update python-all min version to >= 2.6.6-3~ - removed B-D on cdbs - removed B-D on python-support, it is depreciated. - added X-P-V >= 2.5 - updated Standards Version to 3.9.2 - corrected syntax errors in description

    2011-09-11 - Curtis C. Hovey <sinzui.is@verizon.net> pocket-lint (0.5.21-0ubuntu1) precise; urgency=low * New upstream release.

    2011-04-16 - Michael Terry <mterry@ubuntu.com> pocket-lint (0.5.13-0ubuntu1) natty; urgency=low * New upstream bug fix release - Fixes crash when pyflakes is not installed (LP: #762280)

    2011-04-15 - Michael Terry <mterry@ubuntu.com> pocket-lint (0.5.12-0ubuntu1) natty; urgency=low * New upstream release * debian/control: - Recommend python-cssutils and Suggest spidermonkey-bin

    2010-11-17 - Michael Vogt <michael.vogt@ubuntu.com> pocket-lint (0.5.5-0ubuntu1) natty; urgency=low * initial natty upload

    2010-08-02 - Jelmer Vernooij <jelmer@debian.org> pocket-lint (0.5.1-0ppa1) UNRELEASED; urgency=low * Bump standards version to 3.9.1. * Remove leading space in description. * Add Vcs-Bzr header. * Change architecture to all. Fixes installation for all system- provided Pythons.

    2010-08-01 - Curtis C. Hovey <sinzui.is@verizon.net> pocket-lint (0.5.1-0ppa0) lucid; urgency=low * New uptream release that fixes a local import.

    2010-07-29 - Curtis C. Hovey <sinzui.is@verizon.net> pocket-lint (0.5.0-0ppa0) lucid; urgency=low * New uptream release that improves type checking and fixes reporting issues

    Advertisement
    Advertisement